$ancho-movil: 768px

.cuadro
	position: fixed
	overflow-y: auto
	top: 0
	left: 0
	right: 0
	bottom: 0
	background-color: rgba(0,0,0,0.6)
	z-index: 1
	//display: grid
	//justify-items: center
	//align-items: center
	display: flex
	align-items: center
	justify-content: center


.disclaimer_desktop
	font-size: 12px
	line-height: 13px
	color: white
	@media (max-width: $ancho-movil)
		display: none

.disclaimer_movil
	font-size: 12px
	line-height: 13px
	display: none
	@media (max-width: $ancho-movil)
		display: block

.texto_charlas
	color: white
	max-width: 400px
	font-size: 12px

.contenedor
	position: relative
	height: 90vh
	max-width: 90vw
	margin: 0
	padding: 80px 1rem 40px
	@media (max-width: $ancho-movil)
		padding-top: 30px
		padding-left: 0px
		padding-right: 0px
	display: grid
	align-items: center
	width: 100%
	padding-left: 0px
	margin-left: 0px
	padding-right: 0px
	margin-right: 0px

	@media (min-width: $ancho-movil)
		width: 80vw
		height: auto
		margin: 0rem
		max-width: 960px
		padding: 1.6rem
		background-color: #5B5B5B
		border-radius: 0px 0px 40px 40px

.contenido
	width: 100%
	display: grid
	grid-gap: 1rem
	@media (max-width: $ancho-movil)
		grid-gap: 0.5rem
	align-content: start

	grid-template-areas: "titulo" "video" "videos"

	background: #FDBA30
	border-radius: 20px
	padding: 0rem 1rem 0rem
	@media (max-width: $ancho-movil)
		padding: 2.5rem 1rem 1rem
	margin: auto
	position: relative
	@media (max-width: $ancho-movil)
		&::before
			content: ""
			display: block
			width: 192px
			height: 8px
			border-radius: 8px
			background: #EFA50D
			position: absolute
			top: 1.2rem
			left: 0
			right: 0
			margin: 0 auto


	@media (min-width: $ancho-movil)
		background: none
		height: 100%
		grid-gap: 2rem 1rem
		justify-content: stretch
		grid-template-columns: 1fr auto
		grid-template-rows: 1fr auto
		grid-template-areas: "video video" "titulo videos"

.cerrar
	position: absolute
	transition: all 250ms
	top: -25px
	right: -25px
	@media (max-width: $ancho-movil)
		top:-25px
		right:-10px
		width: 50px
	z-index: 100
	// transform: translateY(-100%)

	@media (min-width: $ancho-movil)
		transform: translate(50%, -50%)

.cerrar:hover
	svg
		circle
			fill: #FDBA30
			transition: all 250ms
		rect
			fill: black
			transition: all 250ms


.video
	grid-area: video
	display: block
	position: relative
	max-height: 100%
	width: 100%

	&::before
		content: ""
		display: block
		padding-top: percentage((1 / 16) * 9)

	iframe
		position: absolute
		top: 0
		left: 0
		right: 0
		bottom: 0


.titulo
	grid-area: titulo

	h3

		font-weight: normal
		font-size: 24px
		margin: 0 0 .2em
		color: white
		text-align: center
		padding: 0 0rem

		@media (min-width: $ancho-movil)
			text-align: left
			font-size: 22px
			color: #FDBA30

	h1
		font-size: 30px
		font-weight: 600
		text-transform: uppercase
		text-align: center
		color: black

		@media (min-width: $ancho-movil)
			color: white
			text-align: left
			font-size: 35px

.videos
	grid-area: videos
	display: flex
	justify-content: center

	@media (min-width: $ancho-movil)
		justify-content: flex-end


	button
		flex-direction: column
		flex-gap: 1rem
		margin: 0 10px

		@media (min-width: $ancho-movil)
			margin: 0 0 0 1rem
			padding: 0 0 0 1rem
			border-left: 1px solid #707070

			&:first-child
				border: none


	img
		display: block
		margin-bottom: .8rem
		max-width: 27vw
		width: 108px
		transition: opacity 250ms

		@media (min-width: $ancho-movil)
			max-width: 190px

	span
		display: block
		text-transform: uppercase
		font-weight: 400
		font-size: 15px
		color: black

		@media (min-width: $ancho-movil)
			font-weight: 400
			font-size: 15px
			color: white

button.activo
	img
		opacity: 0.5
